// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: generationmodule/generationmodule.proto

package openfmb.generationmodule;

/**
 * <pre>
 * Configured setting
 * </pre>
 *
 * Protobuf type {@code generationmodule.GenerationCapabilityConfiguration}
 */
public final class GenerationCapabilityConfiguration extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:generationmodule.GenerationCapabilityConfiguration)
    GenerationCapabilityConfigurationOrBuilder {
private static final long serialVersionUID = 0L;
  // Use GenerationCapabilityConfiguration.newBuilder() to construct.
  private GenerationCapabilityConfiguration(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private GenerationCapabilityConfiguration() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new GenerationCapabilityConfiguration();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.generationmodule.Generationmodule.internal_static_generationmodule_GenerationCapabilityConfiguration_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.generationmodule.Generationmodule.internal_static_generationmodule_GenerationCapabilityConfiguration_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.generationmodule.GenerationCapabilityConfiguration.class, openfmb.generationmodule.GenerationCapabilityConfiguration.Builder.class);
  }

  public static final int SOURCECAPABILITYCONFIGURATION_FIELD_NUMBER = 1;
  private openfmb.commonmodule.SourceCapabilityConfiguration sourceCapabilityConfiguration_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.SourceCapabilityConfiguration sourceCapabilityConfiguration = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the sourceCapabilityConfiguration field is set.
   */
  @java.lang.Override
  public boolean hasSourceCapabilityConfiguration() {
    return sourceCapabilityConfiguration_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.SourceCapabilityConfiguration sourceCapabilityConfiguration = 1 [(.uml.option_parent_message) = true];</code>
   * @return The sourceCapabilityConfiguration.
   */
  @java.lang.Override
  public openfmb.commonmodule.SourceCapabilityConfiguration getSourceCapabilityConfiguration() {
    return sourceCapabilityConfiguration_ == null ? openfmb.commonmodule.SourceCapabilityConfiguration.getDefaultInstance() : sourceCapabilityConfiguration_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.SourceCapabilityConfiguration sourceCapabilityConfiguration = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.SourceCapabilityConfigurationOrBuilder getSourceCapabilityConfigurationOrBuilder() {
    return sourceCapabilityConfiguration_ == null ? openfmb.commonmodule.SourceCapabilityConfiguration.getDefaultInstance() : sourceCapabilityConfiguration_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (sourceCapabilityConfiguration_ != null) {
      output.writeMessage(1, getSourceCapabilityConfiguration());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (sourceCapabilityConfiguration_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getSourceCapabilityConfiguration());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.generationmodule.GenerationCapabilityConfiguration)) {
      return super.equals(obj);
    }
    openfmb.generationmodule.GenerationCapabilityConfiguration other = (openfmb.generationmodule.GenerationCapabilityConfiguration) obj;

    if (hasSourceCapabilityConfiguration() != other.hasSourceCapabilityConfiguration()) return false;
    if (hasSourceCapabilityConfiguration()) {
      if (!getSourceCapabilityConfiguration()
          .equals(other.getSourceCapabilityConfiguration())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasSourceCapabilityConfiguration()) {
      hash = (37 * hash) + SOURCECAPABILITYCONFIGURATION_FIELD_NUMBER;
      hash = (53 * hash) + getSourceCapabilityConfiguration().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.generationmodule.GenerationCapabilityConfiguration parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.generationmodule.GenerationCapabilityConfiguration parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.generationmodule.GenerationCapabilityConfiguration parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.generationmodule.GenerationCapabilityConfiguration parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.generationmodule.GenerationCapabilityConfiguration parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.generationmodule.GenerationCapabilityConfiguration parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.generationmodule.GenerationCapabilityConfiguration parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.generationmodule.GenerationCapabilityConfiguration parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.generationmodule.GenerationCapabilityConfiguration parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.generationmodule.GenerationCapabilityConfiguration parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.generationmodule.GenerationCapabilityConfiguration parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.generationmodule.GenerationCapabilityConfiguration parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.generationmodule.GenerationCapabilityConfiguration prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Configured setting
   * </pre>
   *
   * Protobuf type {@code generationmodule.GenerationCapabilityConfiguration}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:generationmodule.GenerationCapabilityConfiguration)
      openfmb.generationmodule.GenerationCapabilityConfigurationOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.generationmodule.Generationmodule.internal_static_generationmodule_GenerationCapabilityConfiguration_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.generationmodule.Generationmodule.internal_static_generationmodule_GenerationCapabilityConfiguration_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.generationmodule.GenerationCapabilityConfiguration.class, openfmb.generationmodule.GenerationCapabilityConfiguration.Builder.class);
    }

    // Construct using openfmb.generationmodule.GenerationCapabilityConfiguration.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      sourceCapabilityConfiguration_ = null;
      if (sourceCapabilityConfigurationBuilder_ != null) {
        sourceCapabilityConfigurationBuilder_.dispose();
        sourceCapabilityConfigurationBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.generationmodule.Generationmodule.internal_static_generationmodule_GenerationCapabilityConfiguration_descriptor;
    }

    @java.lang.Override
    public openfmb.generationmodule.GenerationCapabilityConfiguration getDefaultInstanceForType() {
      return openfmb.generationmodule.GenerationCapabilityConfiguration.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.generationmodule.GenerationCapabilityConfiguration build() {
      openfmb.generationmodule.GenerationCapabilityConfiguration result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.generationmodule.GenerationCapabilityConfiguration buildPartial() {
      openfmb.generationmodule.GenerationCapabilityConfiguration result = new openfmb.generationmodule.GenerationCapabilityConfiguration(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.generationmodule.GenerationCapabilityConfiguration result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.sourceCapabilityConfiguration_ = sourceCapabilityConfigurationBuilder_ == null
            ? sourceCapabilityConfiguration_
            : sourceCapabilityConfigurationBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.generationmodule.GenerationCapabilityConfiguration) {
        return mergeFrom((openfmb.generationmodule.GenerationCapabilityConfiguration)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.generationmodule.GenerationCapabilityConfiguration other) {
      if (other == openfmb.generationmodule.GenerationCapabilityConfiguration.getDefaultInstance()) return this;
      if (other.hasSourceCapabilityConfiguration()) {
        mergeSourceCapabilityConfiguration(other.getSourceCapabilityConfiguration());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getSourceCapabilityConfigurationFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.SourceCapabilityConfiguration sourceCapabilityConfiguration_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.SourceCapabilityConfiguration, openfmb.commonmodule.SourceCapabilityConfiguration.Builder, openfmb.commonmodule.SourceCapabilityConfigurationOrBuilder> sourceCapabilityConfigurationBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.SourceCapabilityConfiguration sourceCapabilityConfiguration = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the sourceCapabilityConfiguration field is set.
     */
    public boolean hasSourceCapabilityConfiguration() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.SourceCapabilityConfiguration sourceCapabilityConfiguration = 1 [(.uml.option_parent_message) = true];</code>
     * @return The sourceCapabilityConfiguration.
     */
    public openfmb.commonmodule.SourceCapabilityConfiguration getSourceCapabilityConfiguration() {
      if (sourceCapabilityConfigurationBuilder_ == null) {
        return sourceCapabilityConfiguration_ == null ? openfmb.commonmodule.SourceCapabilityConfiguration.getDefaultInstance() : sourceCapabilityConfiguration_;
      } else {
        return sourceCapabilityConfigurationBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.SourceCapabilityConfiguration sourceCapabilityConfiguration = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setSourceCapabilityConfiguration(openfmb.commonmodule.SourceCapabilityConfiguration value) {
      if (sourceCapabilityConfigurationBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        sourceCapabilityConfiguration_ = value;
      } else {
        sourceCapabilityConfigurationBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.SourceCapabilityConfiguration sourceCapabilityConfiguration = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setSourceCapabilityConfiguration(
        openfmb.commonmodule.SourceCapabilityConfiguration.Builder builderForValue) {
      if (sourceCapabilityConfigurationBuilder_ == null) {
        sourceCapabilityConfiguration_ = builderForValue.build();
      } else {
        sourceCapabilityConfigurationBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.SourceCapabilityConfiguration sourceCapabilityConfiguration = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeSourceCapabilityConfiguration(openfmb.commonmodule.SourceCapabilityConfiguration value) {
      if (sourceCapabilityConfigurationBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          sourceCapabilityConfiguration_ != null &&
          sourceCapabilityConfiguration_ != openfmb.commonmodule.SourceCapabilityConfiguration.getDefaultInstance()) {
          getSourceCapabilityConfigurationBuilder().mergeFrom(value);
        } else {
          sourceCapabilityConfiguration_ = value;
        }
      } else {
        sourceCapabilityConfigurationBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.SourceCapabilityConfiguration sourceCapabilityConfiguration = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearSourceCapabilityConfiguration() {
      bitField0_ = (bitField0_ & ~0x00000001);
      sourceCapabilityConfiguration_ = null;
      if (sourceCapabilityConfigurationBuilder_ != null) {
        sourceCapabilityConfigurationBuilder_.dispose();
        sourceCapabilityConfigurationBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.SourceCapabilityConfiguration sourceCapabilityConfiguration = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.SourceCapabilityConfiguration.Builder getSourceCapabilityConfigurationBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getSourceCapabilityConfigurationFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.SourceCapabilityConfiguration sourceCapabilityConfiguration = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.SourceCapabilityConfigurationOrBuilder getSourceCapabilityConfigurationOrBuilder() {
      if (sourceCapabilityConfigurationBuilder_ != null) {
        return sourceCapabilityConfigurationBuilder_.getMessageOrBuilder();
      } else {
        return sourceCapabilityConfiguration_ == null ?
            openfmb.commonmodule.SourceCapabilityConfiguration.getDefaultInstance() : sourceCapabilityConfiguration_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.SourceCapabilityConfiguration sourceCapabilityConfiguration = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.SourceCapabilityConfiguration, openfmb.commonmodule.SourceCapabilityConfiguration.Builder, openfmb.commonmodule.SourceCapabilityConfigurationOrBuilder> 
        getSourceCapabilityConfigurationFieldBuilder() {
      if (sourceCapabilityConfigurationBuilder_ == null) {
        sourceCapabilityConfigurationBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.SourceCapabilityConfiguration, openfmb.commonmodule.SourceCapabilityConfiguration.Builder, openfmb.commonmodule.SourceCapabilityConfigurationOrBuilder>(
                getSourceCapabilityConfiguration(),
                getParentForChildren(),
                isClean());
        sourceCapabilityConfiguration_ = null;
      }
      return sourceCapabilityConfigurationBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:generationmodule.GenerationCapabilityConfiguration)
  }

  // @@protoc_insertion_point(class_scope:generationmodule.GenerationCapabilityConfiguration)
  private static final openfmb.generationmodule.GenerationCapabilityConfiguration DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.generationmodule.GenerationCapabilityConfiguration();
  }

  public static openfmb.generationmodule.GenerationCapabilityConfiguration getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<GenerationCapabilityConfiguration>
      PARSER = new com.google.protobuf.AbstractParser<GenerationCapabilityConfiguration>() {
    @java.lang.Override
    public GenerationCapabilityConfiguration parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<GenerationCapabilityConfiguration> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<GenerationCapabilityConfiguration> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.generationmodule.GenerationCapabilityConfiguration getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

